# Generated by Django 3.1 on 2021-04-10 17:52

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('soato', models.CharField(db_index=True, max_length=2, validators=[django.core.validators.RegexValidator(message='SOATO number must be 2 numbers', regex='^\\d{2}$')], verbose_name='SOATO')),
                ('name', models.CharField(max_length=30, unique=True, verbose_name='Country name')),
                ('name_cyr', models.CharField(max_length=30, unique=True, verbose_name='Country name cyrillic')),
                ('name_rus', models.CharField(max_length=30, unique=True, verbose_name='Country name russian')),
                ('name_eng', models.CharField(max_length=30, unique=True, verbose_name='Country name english')),
                ('slug', models.SlugField(blank=True, editable=False, max_length=140, verbose_name='slug')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
            ],
            options={
                'verbose_name': 'Country',
                'verbose_name_plural': 'Countries',
            },
        ),
        migrations.CreateModel(
            name='Region',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('soato', models.CharField(db_index=True, max_length=4, validators=[django.core.validators.RegexValidator(message='SOATO number must be 4 numbers', regex='^\\d{4}$')], verbose_name='SOATO')),
                ('name', models.CharField(max_length=30, unique=True, verbose_name='Region name')),
                ('name_cyr', models.CharField(max_length=30, unique=True, verbose_name='Region name cyrillic')),
                ('name_rus', models.CharField(max_length=30, unique=True, verbose_name='Region name russian')),
                ('name_eng', models.CharField(blank=True, max_length=30, verbose_name='Region name english')),
                ('slug', models.SlugField(blank=True, editable=False, max_length=140, verbose_name='slug')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='soato.country', verbose_name='Country')),
            ],
            options={
                'verbose_name': 'Region',
                'verbose_name_plural': 'Regions',
            },
        ),
        migrations.CreateModel(
            name='District',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('soato', models.CharField(db_index=True, max_length=7, validators=[django.core.validators.RegexValidator(message='SOATO number must be 7 numbers', regex='^\\d{7}')], verbose_name='SOATO')),
                ('name', models.CharField(max_length=20, unique=True, verbose_name='Region district name')),
                ('name_cyr', models.CharField(max_length=30, unique=True, verbose_name='Region district name cyrillic')),
                ('name_rus', models.CharField(max_length=30, unique=True, verbose_name='Region district name russian')),
                ('name_eng', models.CharField(blank=True, max_length=30, null=True, unique=True, verbose_name='Region district name english')),
                ('slug', models.SlugField(blank=True, editable=False, max_length=140, verbose_name='slug')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('region', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='soato.region', verbose_name='Region')),
            ],
            options={
                'verbose_name': 'District',
                'verbose_name_plural': 'Districts',
            },
        ),
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('soato', models.CharField(db_index=True, max_length=10, validators=[django.core.validators.RegexValidator(message='SOATO number must be 10 numbers', regex='^\\d{10}')], verbose_name='SOATO')),
                ('name', models.CharField(max_length=20, verbose_name='City name')),
                ('name_cyr', models.CharField(max_length=30, verbose_name='City name cyrillic')),
                ('name_rus', models.CharField(max_length=30, verbose_name='City name russian')),
                ('name_eng', models.CharField(blank=True, max_length=30, null=True, unique=True, verbose_name='City name english')),
                ('slug', models.SlugField(blank=True, editable=False, max_length=140, verbose_name='slug')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('district', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='soato.district', verbose_name='District')),
            ],
            options={
                'verbose_name': 'City',
                'verbose_name_plural': 'Cities',
            },
        ),
    ]
